package com.ylx.massage.domain;


import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 招商代理(BusinessDevelopment)表实体类
 *
 * @author makejava
 * @since 2024-07-29 16:42:48
 */
@SuppressWarnings("serial")
public class BusinessDevelopment extends Model<BusinessDevelopment> {
    //id
    @ApiModelProperty("id")
    private String id;
    //代理城市
    @ApiModelProperty("代理城市")
    private String city;
    //城市资源介绍
    @ApiModelProperty("城市资源介绍")
    private String resource;
    //合伙人姓名
    @ApiModelProperty("合伙人姓名")
    private String name;
    //手机
    @ApiModelProperty("手机")
    private String phoneNum;
    //公司名称
    @ApiModelProperty("公司名称")
    private String company;
    //是否从事过按摩行业(0否 ,1是)
    @ApiModelProperty("是否从事过按摩行业(0否 ,1是)")
    private Integer isMassage;
    //有几年按摩行业管理经验
    @ApiModelProperty("有几年按摩行业管理经验")
    private String years;
    //是否正在经营实体门店(0否, 1是)
    @ApiModelProperty("是否正在经营实体门店(0否, 1是)")
    private Integer isEntity;

    //备注
    @ApiModelProperty("备注")
    private String remark;
    //系统创建时间
    @ApiModelProperty("系统创建时间")
    private Date createTime;
    //系统修改时间
    @ApiModelProperty("系统修改时间")
    private Date updateTime;
    //是否删除0否1是
    @ApiModelProperty("是否删除0否1是")
    private Integer isDelete;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public Integer getIsMassage() {
        return isMassage;
    }

    public void setIsMassage(Integer isMassage) {
        this.isMassage = isMassage;
    }

    public String getYears() {
        return years;
    }

    public void setYears(String years) {
        this.years = years;
    }

    public Integer getIsEntity() {
        return isEntity;
    }

    public void setIsEntity(Integer isEntity) {
        this.isEntity = isEntity;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

